---
title: <font-face-src>
slug: Web/SVG/Element/font-face-src
tags:
  - Deprecated
  - Element
  - NeedsExample
  - Reference
  - SVG
  - SVG Font
---
<div>{{SVGRef}}{{deprecated_header}}</div>

<p>The <strong><code>&lt;font-face-src&gt;</code></strong> <a href="/en-US/docs/Web/SVG">SVG</a> element corresponds to the {{cssxref("@font-face/src", "src")}} descriptor in CSS {{cssxref("@font-face")}} rules. It serves as container for {{SVGElement("font-face-name")}}, pointing to locally installed copies of this font, and {{SVGElement("font-face-uri")}}, utilizing remotely defined fonts.</p>

<h2 id="Usage_context">Usage context</h2>

<p>{{svginfo}}</p>

<h2 id="Attributes">Attributes</h2>

<h3 id="Global_attributes">Global attributes</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Attribute#Core_attributes">Core attributes</a></li>
</ul>

<h3 id="Specific_attributes">Specific attributes</h3>

<p><em>None</em></p>

<h2 id="DOM_Interface">DOM Interface</h2>

<p>This element implements the {{domxref("SVGFontFaceSrcElement")}} interface.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG1.1", "fonts.html#FontFaceSrcElement", "&lt;font-face-src&gt;")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.font-face-src")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGElement("font-face")}}</li>
 <li>{{SVGElement("font-face-name")}}</li>
 <li>{{SVGElement("font-face-uri")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/SVG_fonts">SVG tutorial: SVG fonts</a></li>
</ul>
